Skip to content

Creates a conversation

Request

You can create a conversation that has been initiated by a contact (ie. user or lead).

Sending for visitors

You can also send a message from a visitor by specifying their user_id or id value in the from field, along with a type field value of contact. This visitor will be automatically converted to a contact with a lead role once the conversation is created.

This will return the Message model that has been created.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
fromobjectrequired
bodystringrequired

The content of the message. HTML is not supported.

Example:"Hello"
subjectstring

The title of the email. Only applicable if the message type is email.

Example:"Thanks for everything"
attachment_urlsArray of strings, (uri), <= 10 items

A list of image URLs that will be added as attachments. You can include up to 10 URLs.

message_typestring

The kind of message being created. Values: inapp (in-app messaging), email, sms, whatsapp, or facebook.

Enum:"inapp""email""sms""whatsapp""facebook"
Example:"inapp"
curl -i -X POST \
  https://api.intercom.io/conversations \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "from": {
      "type": "user",
      "id": "6657ab116abd0164c24b0d4d"
    },
    "body": "Hello there"
  }'

Responses

conversation created

Bodyapplication/json
typestringrequired

The type of the message

Example:"user_message"
idstringrequired

The id representing the message.

Example:"1488971108"
created_atinteger, (date-time)required

The time the conversation was created.

Example:1667560812
subjectstring

The subject of the message. Only present if message_type: email.

Example:"Greetings"
bodystringrequired

The message body, which may contain HTML.

Example:"Hello"
message_typestringrequired

The type of message that was sent. Can be email, inapp, facebook or twitter.

Enum:"email""inapp""facebook""twitter"
Example:"inapp"
conversation_idstring

The associated conversation_id

Example:"64619700005570"
Response
{ "type": "user_message", "id": "403918237", "created_at": 1717021458, "body": "Hello there", "message_type": "inapp", "conversation_id": "329" }